/**
 * @desc Base64 图片上传
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** Base64 图片信息 */
    base64Image: string
}

export const init = new defs.Result()

export function request(params: Params, config?: http.RequestConfig<Params>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/common/file/uploadBase64Image',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
